X2Go Bug report logs - #179
x2goclient in broker-mode does not allow logout

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Fri, 19 Apr 2013 08:48:01 UTC

Severity: grave

Tags: confirmed, pending

Found in version 4.0.1.0

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#179; Package x2goclient. (Fri, 19 Apr 2013 08:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Apr 2013 08:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2goclient in broker-mode does not allow logout
Date: Fri, 19 Apr 2013 10:35:03 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.0

When you have logged in to a server in broker-mode, there is no way to
de-authenticate from the broker, other than closing x2goclient. This is not
a problem on a normal desktop machine, but on thinclients, it is not really
possible to close x2goclient, other than rebooting/shutting down the
machine. This means that users can't go to a thinclient, login and work,
logout and walk away from the machine to allow a different user to use it,
without rebooting the machine after having logged out. This is not
acceptable behavior for a thinclient setup. I think logging out of an
x2goserver should also trigger a deauthenticate from the broker, as this
mimicks the way x2goclient works when not in broker-mode.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#179; Package x2goclient. (Fri, 19 Apr 2013 13:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Apr 2013 13:03:01 GMT) Full text and rfc822 format available.

Message #10 received at 179@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 179@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#179: x2goclient in broker-mode does not allow logout
Date: Fri, 19 Apr 2013 14:51:21 +0200
[Message part 1 (text/plain, inline)]
severity #179 grave
tag #179 confirmed
thanks

Hi Anders,

On Fr 19 Apr 2013 10:35:03 CEST Anders Bruun Olsen wrote:

> Package: x2goclient
> Version: 4.0.1.0
>
> When you have logged in to a server in broker-mode, there is no way to
> de-authenticate from the broker, other than closing x2goclient. This is not
> a problem on a normal desktop machine, but on thinclients, it is not really
> possible to close x2goclient, other than rebooting/shutting down the
> machine. This means that users can't go to a thinclient, login and work,
> logout and walk away from the machine to allow a different user to use it,
> without rebooting the machine after having logged out. This is not
> acceptable behavior for a thinclient setup. I think logging out of an
> x2goserver should also trigger a deauthenticate from the broker, as this
> mimicks the way x2goclient works when not in broker-mode.

I consider this as a grave issue and see to getting it fixed ASAP.

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'grave' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Apr 2013 13:03:02 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Apr 2013 13:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#179; Package x2goclient. (Wed, 12 Jun 2013 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Jun 2013 12:03:02 GMT) Full text and rfc822 format available.

Message #19 received at 179@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 179-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 179@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 12 Jun 2013 13:54:53 +0200 (CEST)
tag #179 pending
fixed #179 4.0.1.1
thanks

Hello,

X2Go issue #179 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=e3b8739

The issue will most likely be fixed in src:x2goclient (4.0.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e3b87397d75a7e246d29c4f94b1368e092f27207
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Jun 12 13:23:05 2013 +0200

    Add cmdline option --broker-autologoff: Enforce re-authentication against X2Go Session Broker after a session has been suspended or terminated. (Fixes: #179).

diff --git a/debian/changelog b/debian/changelog
index 84daa74..c2dcc38 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -20,6 +20,9 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
+    - Add cmdline option --broker-autologoff: Enforce re-authentication against
+      X2Go Session Broker after a session has been suspended or terminated.
+      (Fixes: #179).
 
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Jun 2013 12:03:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Jun 2013 12:03:02 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#179. (Wed, 12 Jun 2013 12:03:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#179; Package x2goclient. (Wed, 12 Jun 2013 12:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nable 80 <nable.maininbox@googlemail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Jun 2013 12:48:01 GMT) Full text and rfc822 format available.

Message #31 received at 179@bugs.x2go.org (full text, mbox):

From: Nable 80 <nable.maininbox@googlemail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 179@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#179: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 12 Jun 2013 16:33:06 +0400
Hi, Mike.

What do you think about making this behaviour default?
Because doing logoff by default seems to be a more secure way (and
default settings should be secure) + it doesn't require you to
close-and-reopen window if you want to de-authenticate from the broker
(and switch to other sessions).
I think it would be a good idea, especially if this session broker
system is mainly aimed at setups with thin clients (less configuration
changes for main use-case).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#179; Package x2goclient. (Wed, 12 Jun 2013 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Jun 2013 13:03:02 GMT) Full text and rfc822 format available.

Message #36 received at 179@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: 179@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#179: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 12 Jun 2013 14:55:20 +0200
[Message part 1 (text/plain, inline)]
I personally think that it would be better to de-auth from the broker by
default, and then have a commandline option that tells x2goclient to stay
authenticated to the broker, when the connection to a server ends.


2013/6/12 Nable 80 <nable.maininbox@googlemail.com>

> Hi, Mike.
>
> What do you think about making this behaviour default?
> Because doing logoff by default seems to be a more secure way (and
> default settings should be secure) + it doesn't require you to
> close-and-reopen window if you want to de-authenticate from the broker
> (and switch to other sessions).
> I think it would be a good idea, especially if this session broker
> system is mainly aimed at setups with thin clients (less configuration
> changes for main use-case).
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>



-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#179; Package x2goclient. (Wed, 11 Sep 2013 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 10:18:05 GMT) Full text and rfc822 format available.

Message #41 received at 179@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 179-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 179@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 11 Sep 2013 12:07:08 +0200 (CEST)
close #179
thanks

Hello,

we are very hopeful that X2Go issue #179 reported by you
has been resolved in the new release (4.0.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dad4fcc24868504be24ccc9a3ab0fcac41859080;hp=1b4260f86a6fda01c5263fa3d27504677a3cdfac

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.1
Status: RELEASE
Date: Wed, 11 Sep 2013 12:06:02 +0200
Fixes: 141 142 151 164 165 177 179 183 214 222 226 243 255
Changes: 
 x2goclient (4.0.1.1) RELEASED; urgency=low
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.1):
     - Update Danish translation file.
 .
   [ Terje Andersen ]
   * New upstream version (4.0.1.1):
     - Update Norwegian Bokmaal translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.1):
     - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
       resolution. (Fixes: #151).
     - Wait for x2gocmdexitmessage to return before closing in hidden mode.
     - Support for published applications in X2Go Plugin
     - Support for "shadow" mode in X2Go Plugin
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.1):
     - If a priv SSH key has been specified, skip the autologin procedure.
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
     - Avoid multiple selectUserSession requests when in broker
       mode.
     - Properly set the remote server address received via selectUserSession
       method when in broker mode. (Fixes: #226).
     - Fix segmentation fault that started occurring since the custom trayIcon
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
     - Enable full access desktop sharing across user accounts. (Fixes: #222).
     - Make X2Go Client aware of the MATE desktop environment.
     - Make X2Go Client work in SSH broker mode without the need of a auth-id
       file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.1):
     - Call ssh_clean_pubkey_hash() for deallocating public key hashes instead of
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
   * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 .
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):
     - Fix auto-resume when session type is »Single Application«. (Fixes: #183).
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Fix detection of maximum screen area available for a session. (Fixes:
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
     - Allow for setting maximum available desktop size as window size via the
       session profile card. Unfortunately, this feature is for now only
       available on Linux. (Fixes: #214).
 .
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).
     - Standardize output to stdout+stderr and make it parseable.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.1):
     - Instead of using a hard-code DPI of 96, use local DPI settings for new
       sessions if not explicitly set in session profile (Fixes: #164).
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.1):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Update Spanish translation file.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 10:18:11 GMT) Full text and rfc822 format available.

Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Wed, 11 Sep 2013 10:18:11 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#179. (Wed, 11 Sep 2013 10:18:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 10 Oct 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 10:47:43 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.